commit:     28d92b2da645f579ae39de70825b8fb543903fe2
Author:     David Heidelberg <david <AT> ixit <DOT> cz>
AuthorDate: Sat Sep 28 09:02:29 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Dec  4 20:40:16 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28d92b2d

mail-client/geary: bump 3.34.2

- added dep on gspell[vala]
- added optional dep on net-mail/ytnef
- added dep on gui-libs/libhandy
- bumped to EAPI 7
- raised vala dep to 0.44
- implement BDEPEND

Compile, run and usage tested.

Closes: https://bugs.gentoo.org/697050
Closes: https://github.com/gentoo/gentoo/pull/13070
Signed-off-by: David Heidelberg <david <AT> ixit.cz>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 mail-client/geary/Manifest            |  1 +
 mail-client/geary/geary-3.34.2.ebuild | 94 +++++++++++++++++++++++++++++++++++
 mail-client/geary/metadata.xml        | 12 +++--
 3 files changed, 103 insertions(+), 4 deletions(-)

diff --git a/mail-client/geary/Manifest b/mail-client/geary/Manifest
index a10a0b3fe9d..78b991cdcef 100644
--- a/mail-client/geary/Manifest
+++ b/mail-client/geary/Manifest
@@ -1,2 +1,3 @@
 DIST geary-0.12.4.tar.xz 1070368 BLAKE2B 
7d4c07184cd99ed507839e3f2c53171bf75809e76ef92283a15d93bd3f074ed700f6db2de14263bf8f7c060526023a81e9123433cf11a353c68497a3b70e2bdd
 SHA512 
5bf05390e06ecd7e3b3de35fcfa068e5ad475f1e4f67c4b2ff65d9f8162759cccc1aa47f0ed9c3a0a8d68059fa404d4360e019ac42cdfc86a8258790f0a6df7c
 DIST geary-3.32.0.tar.xz 2228056 BLAKE2B 
b9ee9e48fb901aa8fe8ef291b8332ac222d7581d1700170aa605071698ea0d8b698511c6e372c9a5056c3d7bf4885ec84aa389f7558fdd00cb4eeb43d745ee39
 SHA512 
eec6a552fe87c74d364d7242631f6ddfb6cfe35dc4f634ec7aa80342f9e02439255a2a4b12b0f88ee6369962058bbbdc64c390189bd6480a225685ad52cb68f8
+DIST geary-3.34.2.tar.xz 2411940 BLAKE2B 
61c0f69b3327c487530180544bbe13d131e4236d6a205db90278b75e839294923176b41d423a52d18c5b36b6dda7865ddbaf4e929260c2c845a69a6527b4fae9
 SHA512 
d34886829e1330bfe7fe4891b5e368010f5742a5ac20ab057a902897df1f6c4145a882379d9dbe82e0c954a91db265b9758ddd2eb96b9c03c0efc0f6d8cc6ea0

diff --git a/mail-client/geary/geary-3.34.2.ebuild 
b/mail-client/geary/geary-3.34.2.ebuild
new file mode 100644
index 00000000000..381832b2b92
--- /dev/null
+++ b/mail-client/geary/geary-3.34.2.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+VALA_MIN_API_VERSION="0.44"
+
+inherit gnome.org gnome2-utils meson vala xdg
+
+DESCRIPTION="A lightweight, easy-to-use, feature-rich email client"
+HOMEPAGE="https://wiki.gnome.org/Apps/Geary";
+
+LICENSE="LGPL-2.1+ BSD-2 CC-BY-3.0 CC-BY-SA-3.0" # code is LGPL-2.1+, BSD-2 
for bundled snowball-stemmer, CC licenses for some icons
+SLOT="0"
+
+IUSE="unwind +ytnef"
+
+KEYWORDS="~amd64 ~x86"
+
+# for now both enchants work
+# FIXME: add valadoc support
+
+DEPEND="
+       >=dev-libs/glib-2.54:2
+       >=gui-libs/libhandy-0.0.9:0.0=
+       >=x11-libs/gtk+-3.22.26:3[introspection]
+       >=net-libs/webkit-gtk-2.20:4=[introspection]
+       app-text/gspell[vala]
+       app-text/iso-codes
+       >=dev-db/sqlite-3.12:3
+
+       >=net-libs/libsoup-2.48:2.4[introspection]
+       net-libs/gnome-online-accounts
+
+       >=dev-libs/libgee-0.8.5:0.8=[introspection]
+       >=x11-libs/libnotify-0.7.5[introspection]
+       >=media-libs/libcanberra-0.28
+       >=dev-libs/gmime-2.6.17:2.6
+       >=app-crypt/libsecret-0.11[introspection,vala]
+       >=dev-libs/libxml2-2.7.8:2
+       >=app-crypt/gcr-3.10.1:0=[gtk,introspection,vala]
+       app-text/enchant
+       >=dev-libs/folks-0.11:0
+       dev-libs/json-glib
+       unwind? ( >=sys-libs/libunwind-1.1:7 )
+       ytnef? ( >=net-mail/ytnef-1.9.3 )
+"
+
+BDEPEND="
+       sys-devel/gettext
+       dev-util/desktop-file-utils
+       virtual/pkgconfig
+       $(vala_depend)
+"
+
+RDEPEND="${DEPEND}
+       gnome-base/dconf
+       gnome-base/gsettings-desktop-schemas
+"
+
+src_prepare() {
+       local i
+       if [[ -n "${LINGUAS+x}" ]] ; then
+               for i in $(cd po ; echo *.po) ; do
+                       if ! has ${i%.po} ${LINGUAS} ; then
+                               sed -i -e "/^${i%.po}$/d" po/LINGUAS || die
+                       fi
+               done
+       fi
+
+       vala_src_prepare
+       xdg_src_prepare
+}
+
+src_configure() {
+       # appstream_util & desktop_file_validate doesn't seem to
+       # doing anything useful for an actual release, maybe for 9999?
+       local emesonargs=(
+               -Dlibunwind_optional=$(usex unwind false true)
+               -Dtnef-support=$(usex ytnef true false)
+               -Dpoodle=true
+       )
+
+       meson_src_configure
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

diff --git a/mail-client/geary/metadata.xml b/mail-client/geary/metadata.xml
index 39980802b1d..2731a6978a6 100644
--- a/mail-client/geary/metadata.xml
+++ b/mail-client/geary/metadata.xml
@@ -1,8 +1,12 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-<maintainer type="project">
-       <email>[email protected]</email>
-       <name>Gentoo GNOME Desktop</name>
-</maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo GNOME Desktop</name>
+       </maintainer>
+       <use>
+               <flag name="ytnef">Enable optional TNEF attachments parser 
support using
+                       <pkg>net-mail/ytnef</pkg></flag>
+       </use>
 </pkgmetadata>

Reply via email to